## golang-github-spf13-viper 1.7.0

=== Makefile ===
# A Self-Documenting Makefile: http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html

OS = $(shell uname | tr A-Z a-z)
export PATH := $(abspath bin/):${PATH}

# Build variables
BUILD_DIR ?= build
export CGO_ENABLED ?= 0
export GOOS = $(shell go env GOOS)
ifeq (${VERBOSE}, 1)
ifeq ($(filter -v,${GOARGS}),)
	GOARGS += -v
endif
TEST_FORMAT = short-verbose
endif

# Dependency versions
GOTESTSUM_VERSION = 0.4.0
GOLANGCI_VERSION = 1.21.0

# Add the ability to override some variables
# Use with care
-include override.mk

.PHONY: clear
clear: ## Clear the working area and the project
	rm -rf bin/

.PHONY: check
check: test lint ## Run tests and linters

bin/gotestsum: bin/gotestsum-${GOTESTSUM_VERSION}
	@ln -sf gotestsum-${GOTESTSUM_VERSION} bin/gotestsum
bin/gotestsum-${GOTESTSUM_VERSION}:
	@mkdir -p bin
	curl -L https://github.com/gotestyourself/gotestsum/releases/download/v${GOTESTSUM_VERSION}/gotestsum_${GOTESTSUM_VERSION}_${OS}_amd64.tar.gz | tar -zOxf - gotestsum > ./bin/gotestsum-${GOTESTSUM_VERSION} && chmod +x ./bin/gotestsum-${GOTESTSUM_VERSION}

TEST_PKGS ?= ./...
.PHONY: test
test: TEST_FORMAT ?= short
test: SHELL = /bin/bash
test: export CGO_ENABLED=1
test: bin/gotestsum ## Run tests
	@mkdir -p ${BUILD_DIR}
	bin/gotestsum --no-summary=skipped --junitfile ${BUILD_DIR}/coverage.xml --format ${TEST_FORMAT} -- -race -coverprofile=${BUILD_DIR}/coverage.txt -covermode=atomic $(filter-out -v,${GOARGS}) $(if ${TEST_PKGS},${TEST_PKGS},./...)

bin/golangci-lint: bin/golangci-lint-${GOLANGCI_VERSION}
	@ln -sf golangci-lint-${GOLANGCI_VERSION} bin/golangci-lint
bin/golangci-lint-${GOLANGCI_VERSION}:
	@mkdir -p bin
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | bash -s -- -b ./bin/ v${GOLANGCI_VERSION}
	@mv bin/golangci-lint $@

.PHONY: lint
lint: bin/golangci-lint ## Run linter
	bin/golangci-lint run

.PHONY: fix
fix: bin/golangci-lint ## Fix lint violations
	bin/golangci-lint run --fix

# Add custom targets here
-include custom.mk

.PHONY: list
list: ## List all make targets
	@${MAKE} -pRrn : -f $(MAKEFILE_LIST) 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | egrep -v -e '^[^[:alnum:]]' -e '^$@$$' | sort

.PHONY: help
.DEFAULT_GOAL := help
help:
	@grep -h -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

# Variable outputting/exporting rules
var-%: ; @echo $($*)
varexport-%: ; @echo $*=$($*)

## golang-github-spf13-viper 0.0~git20150908.0.1967d93

=== debian/changelog ===
golang-github-spf13-viper (0.0~git20150908.0.1967d93-1) unstable; urgency=medium

  * Initial release (Closes: #799740)

 -- Anthony Fok <foka@debian.org>  Tue, 22 Sep 2015 13:52:30 -0600

=== debian/control ===
Source: golang-github-spf13-viper
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-burntsushi-toml-dev | golang-toml-dev,
               golang-github-kr-pretty-dev | golang-pretty-dev,
               golang-github-magiconair-properties-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-spf13-cast-dev,
               golang-github-spf13-jwalterweatherman-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev | golang-testify-dev,
               golang-github-xordataexchange-crypt-dev,
               golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev
Standards-Version: 3.9.6
Homepage: https://github.com/spf13/viper
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-viper.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-spf13-viper.git
XS-Go-Import-Path: github.com/spf13/viper

Package: golang-github-spf13-viper-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-burntsushi-toml-dev | golang-toml-dev,
         golang-github-kr-pretty-dev | golang-pretty-dev,
         golang-github-magiconair-properties-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-spf13-cast-dev,
         golang-github-spf13-jwalterweatherman-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev | golang-testify-dev,
         golang-github-xordataexchange-crypt-dev,
         golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev
Description: Go configuration with fangs
 Viper is a complete configuration solution for go applications.
 It is designed to work within an application, and can handle
 all types of configuration needs and formats.  It supports:
 .
  * setting defaults
  * reading from JSON, TOML, and YAML config files
  * reading from environment variables
  * reading from remote config systems (etcd or Consul), and watching changes
  * reading from command line flags
  * reading from buffer
  * setting explicit values
 .
 Viper can be thought of as a registry for all of your applications
 configuration needs.

## golang-github-spf13-viper 0.0~git20151110.0.e37b56e

=== debian/changelog ===
golang-github-spf13-viper (0.0~git20151110.0.e37b56e-1) unstable; urgency=medium

  * New upstream snapshot: Add dynamic reading of config file support,
    in two new methods, viper.WatchConfig and viper.OnConfigChange,
    that are now used by Hugo.
  * (Build-)Depends on golang-github-go-fsnotify-fsnotify-dev,
    which provides "gopkg.in/fsnotify.v1" as required by this new
    upstream snapshot.
  * Swap Build-Depends relation ordering to appease buildds.
  * Change "MIT" to "Expat" in debian/copyright.

 -- Anthony Fok <foka@debian.org>  Tue, 10 Nov 2015 19:10:15 -0700

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
 Build-Depends: debhelper (>= 9),
                dh-golang,
                golang-go,
-               golang-github-burntsushi-toml-dev | golang-toml-dev,
-               golang-github-kr-pretty-dev | golang-pretty-dev,
+               golang-toml-dev | golang-github-burntsushi-toml-dev,
+               golang-github-go-fsnotify-fsnotify-dev,
+               golang-pretty-dev | golang-github-kr-pretty-dev,
                golang-github-magiconair-properties-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-spf13-cast-dev,
                golang-github-spf13-jwalterweatherman-dev,
                golang-github-spf13-pflag-dev,
-               golang-github-stretchr-testify-dev | golang-testify-dev,
+               golang-github-stretchr-testify-dev,
                golang-github-xordataexchange-crypt-dev,
-               golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev
+               golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/spf13/viper
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-viper.git
@@ -28,13 +29,14 @@
          ${misc:Depends},
          golang-go,
          golang-github-burntsushi-toml-dev | golang-toml-dev,
+         golang-github-go-fsnotify-fsnotify-dev,
          golang-github-kr-pretty-dev | golang-pretty-dev,
          golang-github-magiconair-properties-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-spf13-cast-dev,
          golang-github-spf13-jwalterweatherman-dev,
          golang-github-spf13-pflag-dev,
-         golang-github-stretchr-testify-dev | golang-testify-dev,
+         golang-github-stretchr-testify-dev,
          golang-github-xordataexchange-crypt-dev,
          golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev
 Description: Go configuration with fangs

## golang-github-spf13-viper 0.0~git20151215.0.79971f1

=== debian/changelog ===
golang-github-spf13-viper (0.0~git20151215.0.79971f1-1) unstable; urgency=medium

  * New upstream snapshot
  * Add dependency on golang-github-hashicorp-hcl-dev

 -- Anthony Fok <foka@debian.org>  Thu, 17 Dec 2015 05:02:21 -0700

## golang-github-spf13-viper 0.0~git20151224.0.110492b

=== debian/changelog ===
golang-github-spf13-viper (0.0~git20151224.0.110492b-1) unstable; urgency=medium

  * New upstream snapshot:
    - Add Sub() for Viper, which returns a branch of a Viper instance.
    - Add FlagValue interface to support other flag systems.
    - Add information about flag interfaces to the readme file.
    - Adds MergeConfig functionality
    - Bugfix for Nested Key Casing

 -- Anthony Fok <foka@debian.org>  Thu, 24 Dec 2015 09:50:16 -0700

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                golang-go,
                golang-toml-dev | golang-github-burntsushi-toml-dev,
                golang-github-go-fsnotify-fsnotify-dev,
+               golang-github-hashicorp-hcl-dev,
                golang-pretty-dev | golang-github-kr-pretty-dev,
                golang-github-magiconair-properties-dev,
                golang-github-mitchellh-mapstructure-dev,
@@ -30,6 +31,7 @@
          golang-go,
          golang-github-burntsushi-toml-dev | golang-toml-dev,
          golang-github-go-fsnotify-fsnotify-dev,
+         golang-github-hashicorp-hcl-dev,
          golang-github-kr-pretty-dev | golang-pretty-dev,
          golang-github-magiconair-properties-dev,
          golang-github-mitchellh-mapstructure-dev,

## golang-github-spf13-viper 0.0~git20160111.0.a212099

=== debian/changelog ===
golang-github-spf13-viper (0.0~git20160111.0.a212099-1) unstable; urgency=medium

  * New upstream snapshot:
    - Handle the case Get() returns either map[interface{}]interface{} or
      map[string]interface{}
    - Fix config watch
    - Watch the entire config dir for changes
  * Allow package to be installed with gccgo where golang-go is unavailable
  * Update debian/copyright

 -- Anthony Fok <foka@debian.org>  Fri, 15 Jan 2016 13:04:01 -0700

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go,
+         golang-go | gccgo,
          golang-github-burntsushi-toml-dev | golang-toml-dev,
          golang-github-go-fsnotify-fsnotify-dev,
          golang-github-hashicorp-hcl-dev,

## golang-github-spf13-viper 0.0~git20160420.0.f904a17

=== debian/changelog ===
golang-github-spf13-viper (0.0~git20160420.0.f904a17-1) unstable; urgency=medium

  * New upstream snapshot
  * Update debian/control
    - Bump Standards-Version to 3.9.8 (no change)
    - Use secure https URL for Vcs-Git too
    - Rename golang-github-go-fsnotify-fsnotify-dev to
      golang-github-fsnotify-fsnotify-dev
    - Remove "golang-go | gccgo" from Depends

 -- Anthony Fok <foka@debian.org>  Fri, 29 Apr 2016 12:13:23 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                golang-go,
                golang-toml-dev | golang-github-burntsushi-toml-dev,
-               golang-github-go-fsnotify-fsnotify-dev,
+               golang-github-fsnotify-fsnotify-dev,
                golang-github-hashicorp-hcl-dev,
                golang-pretty-dev | golang-github-kr-pretty-dev,
                golang-github-magiconair-properties-dev,
@@ -18,19 +18,18 @@
                golang-github-stretchr-testify-dev,
                golang-github-xordataexchange-crypt-dev,
                golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/spf13/viper
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-viper.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-spf13-viper.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-spf13-viper.git
 XS-Go-Import-Path: github.com/spf13/viper
 
 Package: golang-github-spf13-viper-dev
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go | gccgo,
          golang-github-burntsushi-toml-dev | golang-toml-dev,
-         golang-github-go-fsnotify-fsnotify-dev,
+         golang-github-fsnotify-fsnotify-dev,
          golang-github-hashicorp-hcl-dev,
          golang-github-kr-pretty-dev | golang-pretty-dev,
          golang-github-magiconair-properties-dev,

## golang-github-spf13-viper 0.0~git20160605.0.c1ccc37

=== debian/changelog ===
golang-github-spf13-viper (0.0~git20160605.0.c1ccc37-1) unstable; urgency=medium

  * New upstream version for Hugo v0.16
  * Refresh package dependencies in debian/control:
    - Replace golang-go with golang-any in Build-Depends
    - Remove old transition alternatives golang-toml-dev and
      golang-pretty-dev

 -- Anthony Fok <foka@debian.org>  Sat, 11 Jun 2016 13:15:55 -0600

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Anthony Fok <foka@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
-               golang-go,
-               golang-toml-dev | golang-github-burntsushi-toml-dev,
+               golang-any,
+               golang-github-burntsushi-toml-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-hashicorp-hcl-dev,
-               golang-pretty-dev | golang-github-kr-pretty-dev,
+               golang-github-kr-pretty-dev,
                golang-github-magiconair-properties-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-spf13-cast-dev,
@@ -28,10 +28,10 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-github-burntsushi-toml-dev | golang-toml-dev,
+         golang-github-burntsushi-toml-dev,
          golang-github-fsnotify-fsnotify-dev,
          golang-github-hashicorp-hcl-dev,
-         golang-github-kr-pretty-dev | golang-pretty-dev,
+         golang-github-kr-pretty-dev,
          golang-github-magiconair-properties-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-spf13-cast-dev,

## golang-github-spf13-viper 0.0~git20161029.0.651d9d9

=== debian/changelog ===
golang-github-spf13-viper (0.0~git20161029.0.651d9d9-1) unstable; urgency=medium

  [ Anthony Fok ]
  * Team upload.
  * Add debian/watch file

  [ Tim Potter ]
  * Add me to uploaders

  [ Dr. Tobias Quathamer ]
  * Imported Upstream version 0.0~git20161029.0.651d9d9
  * Update Build-Depends
  * Use debhelper v10

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 04 Dec 2016 12:00:53 +0100

## golang-github-spf13-viper 0.0~git20161213.0.5ed0fc3

=== debian/changelog ===
golang-github-spf13-viper (0.0~git20161213.0.5ed0fc3-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on 32 bit architectures. (Closes: #860678)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 26 Apr 2017 21:57:34 +0200

golang-github-spf13-viper (0.0~git20161213.0.5ed0fc3-2) unstable; urgency=medium

  * Remove double escape backslashes from debian/watch

 -- Anthony Fok <foka@debian.org>  Mon, 02 Jan 2017 02:05:21 -0700

golang-github-spf13-viper (0.0~git20161213.0.5ed0fc3-1) unstable; urgency=medium

  * New upstream snapshot: Fix MergeInConfig error return

 -- Anthony Fok <foka@debian.org>  Thu, 29 Dec 2016 02:01:55 -0700

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Anthony Fok <foka@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Anthony Fok <foka@debian.org>, Tim Potter <tpot@hpe.com>
+Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
-               golang-github-burntsushi-toml-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-hashicorp-hcl-dev,
-               golang-github-kr-pretty-dev,
                golang-github-magiconair-properties-dev,
                golang-github-mitchellh-mapstructure-dev,
+               golang-github-pelletier-go-toml-dev,
+               golang-github-spf13-afero-dev,
                golang-github-spf13-cast-dev,
                golang-github-spf13-jwalterweatherman-dev,
                golang-github-spf13-pflag-dev,
                golang-github-stretchr-testify-dev,
                golang-github-xordataexchange-crypt-dev,
-               golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
+               golang-gopkg-yaml.v2-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/spf13/viper
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-viper.git
@@ -28,18 +28,18 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-github-burntsushi-toml-dev,
          golang-github-fsnotify-fsnotify-dev,
          golang-github-hashicorp-hcl-dev,
-         golang-github-kr-pretty-dev,
          golang-github-magiconair-properties-dev,
          golang-github-mitchellh-mapstructure-dev,
+         golang-github-pelletier-go-toml-dev,
+         golang-github-spf13-afero-dev,
          golang-github-spf13-cast-dev,
          golang-github-spf13-jwalterweatherman-dev,
          golang-github-spf13-pflag-dev,
          golang-github-stretchr-testify-dev,
          golang-github-xordataexchange-crypt-dev,
-         golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev
+         golang-gopkg-yaml.v2-dev
 Description: Go configuration with fangs
  Viper is a complete configuration solution for go applications.
  It is designed to work within an application, and can handle

## golang-github-spf13-viper 0.0~git20170619.0.c1de958

=== debian/changelog ===
golang-github-spf13-viper (0.0~git20170619.0.c1de958-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version to 4.0.0:
    Use https form of the copyright-format URL in debian/copyright
  * Add "Testsuite: autopkgtest-pkg-go" to debian/control
  * Refresh 0001-Fix-FTBFS-on-32-bit-architectures.patch
  * Update package description as per upstream README.md

 -- Anthony Fok <foka@debian.org>  Fri, 21 Jul 2017 04:26:07 -0600

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,12 @@
                golang-github-stretchr-testify-dev,
                golang-github-xordataexchange-crypt-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/spf13/viper
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-viper.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-spf13-viper.git
 XS-Go-Import-Path: github.com/spf13/viper
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-spf13-viper-dev
 Architecture: all
@@ -41,12 +42,14 @@
          golang-github-xordataexchange-crypt-dev,
          golang-gopkg-yaml.v2-dev
 Description: Go configuration with fangs
- Viper is a complete configuration solution for go applications.
- It is designed to work within an application, and can handle
- all types of configuration needs and formats.  It supports:
+ Viper is a complete configuration solution for Go applications
+ including 12-Factor apps.  It is designed to work within an application,
+ and can handle all types of configuration needs and formats.
+ It supports:
  .
   * setting defaults
-  * reading from JSON, TOML, and YAML config files
+  * reading from JSON, TOML, YAML, HCL, and Java properties config files
+  * live watching and re-reading of config files (optional)
   * reading from environment variables
   * reading from remote config systems (etcd or Consul), and watching changes
   * reading from command line flags

## golang-github-spf13-viper 1.0.0+git20171109.4dddf7c

=== debian/changelog ===
golang-github-spf13-viper (1.0.0+git20171109.4dddf7c-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.0+git20171109.4dddf7c
    - Refresh patch
  * Update to Standards-Version 4.1.1
    - Use Priority: optional
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 24 Nov 2017 14:58:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-spf13-viper
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 10),
@@ -18,7 +18,7 @@
                golang-github-stretchr-testify-dev,
                golang-github-xordataexchange-crypt-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/spf13/viper
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-viper.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-spf13-viper.git

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-spf13-viper-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/spf13/viper/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-spf13-viper 1.0.2

=== debian/changelog ===
golang-github-spf13-viper (1.0.2-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Team upload.
  * Point Vcs-* urls to salsa.debian.org

  [ Dr. Tobias Quathamer ]
  * Use debhelper v11
  * Update to Standards-Version 4.1.3
  * New upstream version 1.0.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 04 Apr 2018 14:22:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>, Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
@@ -18,10 +18,10 @@
                golang-github-stretchr-testify-dev,
                golang-github-xordataexchange-crypt-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/spf13/viper
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-spf13-viper.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-spf13-viper.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper.git
 XS-Go-Import-Path: github.com/spf13/viper
 Testsuite: autopkgtest-pkg-go

## golang-github-spf13-viper 1.1.0

=== debian/changelog ===
golang-github-spf13-viper (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.0
    - Refresh patch
  * Update Standards-Version to 4.2.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 24 Aug 2018 23:37:12 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                golang-github-stretchr-testify-dev,
                golang-github-xordataexchange-crypt-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://github.com/spf13/viper
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper.git

## golang-github-spf13-viper 1.2.1

=== debian/changelog ===
golang-github-spf13-viper (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.1
    - Remove patch, has been applied upstream
    - New patch: Make test pass with new mitchellh/mapstructure version.
  * Update team name
  * Update to Standards-Version 4.2.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 15 Nov 2018 10:21:35 +0100

## golang-github-spf13-viper 1.3.1

=== debian/changelog ===
golang-github-spf13-viper (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Install go.mod and go.sum
  * Remove patch "Make test pass with new mitchellh/mapstructure version"
    which has been applied to upstream 1.3.1.

 -- Anthony Fok <foka@debian.org>  Mon, 24 Dec 2018 05:29:43 -0700

## golang-github-spf13-viper 1.3.2

=== debian/changelog ===
golang-github-spf13-viper (1.3.2-2) unstable; urgency=medium

  * Use GetInt64 for largenum in viper_test.go to fix "constant
    765432101234567 overflows int" regression error on 32-bit platforms.
    See https://github.com/spf13/viper/issues/704 for more information.
  * Build-Depends on dh-golang (>= 1.39~) for go.mod and go.sum inclusion
    instead of my previous use of DH_GOLANG_INSTALL_EXTRA.

 -- Anthony Fok <foka@debian.org>  Fri, 24 May 2019 13:00:09 -0600

golang-github-spf13-viper (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * Bump Standards-Version to 4.3.0 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 14 Apr 2019 03:44:26 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: golang-github-spf13-viper
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 11~),
-               dh-golang,
+               dh-golang (>= 1.39~),
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-hashicorp-hcl-dev,
@@ -18,7 +18,7 @@
                golang-github-stretchr-testify-dev,
                golang-github-xordataexchange-crypt-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://github.com/spf13/viper
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper.git

## golang-github-spf13-viper 1.3.2+really1.3.1

=== debian/changelog ===
golang-github-spf13-viper (1.3.2+really1.3.1-1) unstable; urgency=medium

  * Team upload.
  * Revert all changes between 1.3.2-2 and 1.3.1-1.
    See https://bugs.debian.org/928227 for a rationale.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 01 Jun 2019 23:09:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 11~),
-               dh-golang (>= 1.39~),
+               dh-golang,
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-hashicorp-hcl-dev,
@@ -18,7 +18,7 @@
                golang-github-stretchr-testify-dev,
                golang-github-xordataexchange-crypt-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/spf13/viper
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := go.mod go.sum

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-spf13-viper 1.3.2+really1.3.2

=== debian/changelog ===
golang-github-spf13-viper (1.3.2+really1.3.2-1) unstable; urgency=medium

  * Revert to upstream version 1.3.2 now that Debian 10 "buster" is released.
    See https://bugs.debian.org/928227 for background information.
  * Bump Standards-Version to 4.4.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 12 Jul 2019 07:12:49 -0600

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 11~),
-               dh-golang,
+               dh-golang (>= 1.39~),
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-hashicorp-hcl-dev,
@@ -18,7 +18,7 @@
                golang-github-stretchr-testify-dev,
                golang-github-xordataexchange-crypt-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/spf13/viper
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper.git

## golang-github-spf13-viper 1.4.0

=== debian/changelog ===
golang-github-spf13-viper (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
  * Remove old 000-use-GetInt64-for-largenum-in-viper_test-go.patch

 -- Anthony Fok <foka@debian.org>  Sun, 28 Jul 2019 03:57:43 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: golang-github-spf13-viper
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Anthony Fok <foka@debian.org>,
+           Tim Potter <tpot@hpe.com>
 Section: devel
+Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Anthony Fok <foka@debian.org>, Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-golang (>= 1.39~),
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
@@ -19,11 +21,10 @@
                golang-github-xordataexchange-crypt-dev,
                golang-gopkg-yaml.v2-dev
 Standards-Version: 4.4.0
-Homepage: https://github.com/spf13/viper
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper.git
+Homepage: https://github.com/spf13/viper
 XS-Go-Import-Path: github.com/spf13/viper
-Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-spf13-viper-dev
 Architecture: all

## golang-github-spf13-viper 1.6.1

=== debian/changelog ===
golang-github-spf13-viper (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.5.0 (no change)
  * Update dependencies according to go.mod

 -- Anthony Fok <foka@debian.org>  Fri, 21 Feb 2020 03:47:03 -0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-hashicorp-hcl-dev,
-               golang-github-magiconair-properties-dev,
+               golang-github-magiconair-properties-dev (>= 1.8.1~),
                golang-github-mitchellh-mapstructure-dev,
                golang-github-pelletier-go-toml-dev,
                golang-github-spf13-afero-dev,
@@ -18,12 +18,15 @@
                golang-github-spf13-jwalterweatherman-dev,
                golang-github-spf13-pflag-dev,
                golang-github-stretchr-testify-dev,
+               golang-github-subosito-gotenv-dev (>= 1.2.0~),
                golang-github-xordataexchange-crypt-dev,
-               golang-gopkg-yaml.v2-dev
-Standards-Version: 4.4.0
+               golang-gopkg-ini.v1-dev (>= 1.51.0~),
+               golang-gopkg-yaml.v2-dev (>= 2.2.4~)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper.git
 Homepage: https://github.com/spf13/viper
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/spf13/viper
 
 Package: golang-github-spf13-viper-dev
@@ -32,7 +35,7 @@
          ${misc:Depends},
          golang-github-fsnotify-fsnotify-dev,
          golang-github-hashicorp-hcl-dev,
-         golang-github-magiconair-properties-dev,
+         golang-github-magiconair-properties-dev (>= 1.8.1~),
          golang-github-mitchellh-mapstructure-dev,
          golang-github-pelletier-go-toml-dev,
          golang-github-spf13-afero-dev,
@@ -40,8 +43,10 @@
          golang-github-spf13-jwalterweatherman-dev,
          golang-github-spf13-pflag-dev,
          golang-github-stretchr-testify-dev,
+         golang-github-subosito-gotenv-dev (>= 1.2.0~),
          golang-github-xordataexchange-crypt-dev,
-         golang-gopkg-yaml.v2-dev
+         golang-gopkg-ini.v1-dev (>= 1.51.0~),
+         golang-gopkg-yaml.v2-dev (>= 2.2.4~)
 Description: Go configuration with fangs
  Viper is a complete configuration solution for Go applications
  including 12-Factor apps.  It is designed to work within an application,

## golang-github-spf13-viper 1.7.0

=== debian/changelog ===
golang-github-spf13-viper (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.0
  * Drop golang-github-xordataexchange-crypt-dev (Closes: #883295)
    To break circular dependency of etcd
  * Drop golang-github-stretchr-testify-dev from -dev Depends.
    This is only used for testing
  * Bump debhelper-compat to 13
  * Add patch to fix test with mapstructure 1.3.2 (Closes: #963271)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 27 Jun 2020 19:39:17 +0800

## golang-github-spf13-viper 1.7.1

=== debian/changelog ===
golang-github-spf13-viper (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1

 -- Anthony Fok <foka@debian.org>  Fri, 18 Sep 2020 21:10:23 -0600

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: golang-github-spf13-viper
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
-           Tim Potter <tpot@hpe.com>
+           Tim Potter <tpot@hpe.com>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.39~),
                golang-any,
                golang-github-fsnotify-fsnotify-dev,
@@ -19,9 +19,8 @@
                golang-github-spf13-pflag-dev,
                golang-github-stretchr-testify-dev,
                golang-github-subosito-gotenv-dev (>= 1.2.0~),
-               golang-github-xordataexchange-crypt-dev,
                golang-gopkg-ini.v1-dev (>= 1.51.0~),
-               golang-gopkg-yaml.v2-dev (>= 2.2.4~)
+               golang-gopkg-yaml.v2-dev (>= 2.2.4~),
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper.git
@@ -31,9 +30,7 @@
 
 Package: golang-github-spf13-viper-dev
 Architecture: all
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         golang-github-fsnotify-fsnotify-dev,
+Depends: golang-github-fsnotify-fsnotify-dev,
          golang-github-hashicorp-hcl-dev,
          golang-github-magiconair-properties-dev (>= 1.8.1~),
          golang-github-mitchellh-mapstructure-dev,
@@ -42,11 +39,11 @@
          golang-github-spf13-cast-dev,
          golang-github-spf13-jwalterweatherman-dev,
          golang-github-spf13-pflag-dev,
-         golang-github-stretchr-testify-dev,
          golang-github-subosito-gotenv-dev (>= 1.2.0~),
-         golang-github-xordataexchange-crypt-dev,
          golang-gopkg-ini.v1-dev (>= 1.51.0~),
-         golang-gopkg-yaml.v2-dev (>= 2.2.4~)
+         golang-gopkg-yaml.v2-dev (>= 2.2.4~),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: Go configuration with fangs
  Viper is a complete configuration solution for Go applications
  including 12-Factor apps.  It is designed to work within an application,

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := remote
export DH_GOLANG_EXCLUDES_ALL := 0

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-spf13-viper 1.8.1

=== debian/changelog ===
golang-github-spf13-viper (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
  * Change Section from devel to golang
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark library package with "Multi-Arch: foreign"
  * Update versioned dependencies as per go.mod
  * Revert "Add patch to fix test with mapstructure 1.3.2"

 -- Anthony Fok <foka@debian.org>  Fri, 29 Oct 2021 03:45:04 -0600

=== debian/control ===
Source: golang-github-spf13-viper
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Tim Potter <tpot@hpe.com>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.39~),
               golang-any,
               golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
               golang-github-hashicorp-hcl-dev (>= 1.0.0),
               golang-github-magiconair-properties-dev (>= 1.8.5),
               golang-github-mitchellh-mapstructure-dev (>= 1.4.1),
               golang-github-pelletier-go-toml-dev (>= 1.9.3),
               golang-github-spf13-afero-dev (>= 1.6.0),
               golang-github-spf13-cast-dev (>= 1.3.1),
               golang-github-spf13-jwalterweatherman-dev (>= 1.1.0),
               golang-github-spf13-pflag-dev (>= 1.0.5),
               golang-github-stretchr-testify-dev (>= 1.7.0),
               golang-github-subosito-gotenv-dev (>= 1.2.0),
               golang-gopkg-ini.v1-dev (>= 1.62.0),
               golang-gopkg-yaml.v2-dev (>= 2.4.0),
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper.git
Homepage: https://github.com/spf13/viper
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/spf13/viper

Package: golang-github-spf13-viper-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-fsnotify-fsnotify-dev (>= 1.4.9),
         golang-github-hashicorp-hcl-dev (>= 1.0.0),
         golang-github-magiconair-properties-dev (>= 1.8.5),
         golang-github-mitchellh-mapstructure-dev (>= 1.4.1),
         golang-github-pelletier-go-toml-dev (>= 1.9.3),
         golang-github-spf13-afero-dev (>= 1.6.0),
         golang-github-spf13-cast-dev (>= 1.3.1),
         golang-github-spf13-jwalterweatherman-dev (>= 1.1.0),
         golang-github-spf13-pflag-dev (>= 1.0.5),
         golang-github-subosito-gotenv-dev (>= 1.2.0),
         golang-gopkg-ini.v1-dev (>= 1.62.0),
         golang-gopkg-yaml.v2-dev (>= 2.4.0),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Go configuration with fangs
 Viper is a complete configuration solution for Go applications
 including 12-Factor apps.  It is designed to work within an application,
 and can handle all types of configuration needs and formats.
 It supports:
 .
  * setting defaults
  * reading from JSON, TOML, YAML, HCL, and Java properties config files
  * live watching and re-reading of config files (optional)
  * reading from environment variables
  * reading from remote config systems (etcd or Consul), and watching changes
  * reading from command line flags
  * reading from buffer
  * setting explicit values
 .
 Viper can be thought of as a registry for all of your applications
 configuration needs.

## golang-github-spf13-viper 1.10.1

=== debian/changelog ===
golang-github-spf13-viper (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Wed, 29 Dec 2021 21:18:13 -0700

=== debian/control ===
Source: golang-github-spf13-viper
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Tim Potter <tpot@hpe.com>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-fsnotify-fsnotify-dev (>= 1.5.1),
               golang-github-hashicorp-hcl-dev (>= 1.0.0),
               golang-github-magiconair-properties-dev (>= 1.8.5),
               golang-github-mitchellh-mapstructure-dev (>= 1.4.3),
               golang-github-pelletier-go-toml-dev (>= 1.9.4),
               golang-github-spf13-afero-dev (>= 1.6.0),
               golang-github-spf13-cast-dev (>= 1.4.1),
               golang-github-spf13-jwalterweatherman-dev (>= 1.1.0),
               golang-github-spf13-pflag-dev (>= 1.0.5),
               golang-github-stretchr-testify-dev (>= 1.7.0),
               golang-github-subosito-gotenv-dev (>= 1.2.0),
               golang-gopkg-ini.v1-dev (>= 1.66.2),
               golang-gopkg-yaml.v2-dev (>= 2.4.0),
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper.git
Homepage: https://github.com/spf13/viper
XS-Go-Import-Path: github.com/spf13/viper

Package: golang-github-spf13-viper-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-fsnotify-fsnotify-dev (>= 1.5.1),
         golang-github-hashicorp-hcl-dev (>= 1.0.0),
         golang-github-magiconair-properties-dev (>= 1.8.5),
         golang-github-mitchellh-mapstructure-dev (>= 1.4.3),
         golang-github-pelletier-go-toml-dev (>= 1.9.4),
         golang-github-spf13-afero-dev (>= 1.6.0),
         golang-github-spf13-cast-dev (>= 1.4.1),
         golang-github-spf13-jwalterweatherman-dev (>= 1.1.0),
         golang-github-spf13-pflag-dev (>= 1.0.5),
         golang-github-subosito-gotenv-dev (>= 1.2.0),
         golang-gopkg-ini.v1-dev (>= 1.66.2),
         golang-gopkg-yaml.v2-dev (>= 2.4.0),
         ${misc:Depends},
Description: Go configuration with fangs
 Viper is a complete configuration solution for Go applications
 including 12-Factor apps.  It is designed to work within an application,
 and can handle all types of configuration needs and formats.
 It supports:
 .
  * setting defaults
  * reading from JSON, TOML, YAML, HCL, and Java properties config files
  * live watching and re-reading of config files (optional)
  * reading from environment variables
  * reading from remote config systems (etcd or Consul), and watching changes
  * reading from command line flags
  * reading from buffer
  * setting explicit values
 .
 Viper can be thought of as a registry for all of your applications
 configuration needs.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := remote
export DH_GOLANG_EXCLUDES_ALL := 0

%:
	dh $@ --buildsystem=golang

## golang-github-spf13-viper 1.12.0

=== debian/changelog ===
golang-github-spf13-viper (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Update versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.2 (no change)
  * Backport patches from v1.13.0 to fix toml and ini tests

 -- Anthony Fok <foka@debian.org>  Tue, 11 Jul 2023 02:11:16 -0600

=== debian/control ===
Source: golang-github-spf13-viper
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Tim Potter <tpot@hpe.com>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.17~),
               golang-github-fsnotify-fsnotify-dev (>= 1.5.4),
               golang-github-hashicorp-hcl-dev (>= 1.0.0),
               golang-github-magiconair-properties-dev (>= 1.8.6),
               golang-github-mitchellh-mapstructure-dev (>= 1.5.0),
               golang-github-pelletier-go-toml-dev (>= 1.9.5),
               golang-github-pelletier-go-toml.v2-dev (>= 2.0.1),
               golang-github-spf13-afero-dev (>= 1.8.2),
               golang-github-spf13-cast-dev (>= 1.5.0),
               golang-github-spf13-jwalterweatherman-dev (>= 1.1.0),
               golang-github-spf13-pflag-dev (>= 1.0.5),
               golang-github-stretchr-testify-dev (>= 1.7.1),
               golang-github-subosito-gotenv-dev (>= 1.3.0),
               golang-gopkg-ini.v1-dev (>= 1.66.4),
               golang-gopkg-yaml.v2-dev (>= 2.4.0),
               golang-gopkg-yaml.v3-dev (>= 3.0.0),
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-spf13-viper.git
Homepage: https://github.com/spf13/viper
XS-Go-Import-Path: github.com/spf13/viper

Package: golang-github-spf13-viper-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-fsnotify-fsnotify-dev (>= 1.5.4),
         golang-github-hashicorp-hcl-dev (>= 1.0.0),
         golang-github-magiconair-properties-dev (>= 1.8.6),
         golang-github-mitchellh-mapstructure-dev (>= 1.5.0),
         golang-github-pelletier-go-toml-dev (>= 1.9.5),
         golang-github-pelletier-go-toml.v2-dev (>= 2.0.1),
         golang-github-spf13-afero-dev (>= 1.8.2),
         golang-github-spf13-cast-dev (>= 1.5.0),
         golang-github-spf13-jwalterweatherman-dev (>= 1.1.0),
         golang-github-spf13-pflag-dev (>= 1.0.5),
         golang-github-stretchr-testify-dev (>= 1.7.1),
         golang-github-subosito-gotenv-dev (>= 1.3.0),
         golang-gopkg-ini.v1-dev (>= 1.66.4),
         golang-gopkg-yaml.v2-dev (>= 2.4.0),
         golang-gopkg-yaml.v3-dev (>= 3.0.0),
         ${misc:Depends},
Description: Go configuration with fangs
 Viper is a complete configuration solution for Go applications
 including 12-Factor apps.  It is designed to work within an application,
 and can handle all types of configuration needs and formats.
 It supports:
 .
  * setting defaults
  * reading from JSON, TOML, YAML, HCL, and Java properties config files
  * live watching and re-reading of config files (optional)
  * reading from environment variables
  * reading from remote config systems (etcd or Consul), and watching changes
  * reading from command line flags
  * reading from buffer
  * setting explicit values
 .
 Viper can be thought of as a registry for all of your applications
 configuration needs.
